Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Class ValidationValueException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.model.api.ModelException
              org.eclipse.birt.report.model.api.activity.SemanticException
                  org.eclipse.birt.report.model.api.metadata.PropertyValueException
                      org.eclipse.birt.report.model.api.metadata.ValidationValueException

    public class ValidationValueException

extends PropertyValueException

Indicates an invalid validation value.

Field Summary
`protected java.lang.String` | `dataType` The name of the data type being validated.

Fields inherited from class org.eclipse.birt.report.model.api.metadata.PropertyValueException
`DESIGN_EXCEPTION_CHOICE_NOT_ALLOWED, DESIGN_EXCEPTION_CHOICE_NOT_FOUND, DESIGN_EXCEPTION_DOT_FORBIDDEN, DESIGN_EXCEPTION_EXTENSION_SETTING_FORBIDDEN, DESIGN_EXCEPTION_INVALID_VALUE, DESIGN_EXCEPTION_ITEM_NOT_FOUND, DESIGN_EXCEPTION_NEGATIVE_VALUE, DESIGN_EXCEPTION_NON_POSITIVE_VALUE, DESIGN_EXCEPTION_NOT_LIST_TYPE, DESIGN_EXCEPTION_PROPERTY_CHANGE_FORBIDDEN, DESIGN_EXCEPTION_UNIT_NOT_ALLOWED, DESIGN_EXCEPTION_VALUE_EXISTS, DESIGN_EXCEPTION_VALUE_LOCKED, DESIGN_EXCEPTION_VALUE_REQUIRED, DESIGN_EXCEPTION_WRONG_ELEMENT_TYPE, DESIGN_EXCEPTION_WRONG_ITEM_TYPE, invalidValue, memberName, propertyName, propertyTypeName`

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Constructor Summary
`ValidationValueException(java.lang.Object value, java.lang.String errCode, java.lang.String dataType)` Constructs an exception given an invalid value, error code and the property type constants.

Method Summary
`java.lang.String` | `getLocalizedMessage()`

Methods inherited from class org.eclipse.birt.report.model.api.metadata.PropertyValueException
`getInvalidValue, getPropertyName, setElement, setPropertyName`

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataType

    protected java.lang.String dataType

  The name of the data type being validated.

Constructor Detail

### ValidationValueException

    public ValidationValueException(java.lang.Object value,
                                    java.lang.String errCode,
                                    java.lang.String dataType)

  Constructs an exception given an invalid value, error code and the property type constants.

  Parameters:
    `value` - The invalid value.
    `errCode` - description of the problem
    `dataType` - the parameter data type

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `PropertyValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.